import { Component, Element, Prop, State } from "@stencil/core";
import * as translation from "./translation";
export class IntergiroStatus {
  componentWillLoad() {
    this.t = translation.create(this.element);
  }
  render() {
    var _a, _b;
    const t = this.t;
    return [(_a = this.quantity) === null || _a === void 0 ? void 0 : _a.toString(), this.quantity && ((_b = this.unit) !== null && _b !== void 0 ? _b : "×"), t(this.status)].filter(e => e).join(" ");
  }
  static get is() { return "ig-status"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() { return {
    "$": ["style.css"]
  }; }
  static get styleUrls() { return {
    "$": ["style.css"]
  }; }
  static get properties() { return {
    "status": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "status",
      "reflect": true
    },
    "quantity": {
      "type": "number",
      "mutable": true,
      "complexType": {
        "original": "number",
        "resolved": "number | undefined",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "quantity",
      "reflect": true
    },
    "unit": {
      "type": "string",
      "mutable": true,
      "complexType": {
        "original": "string",
        "resolved": "string | undefined",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "unit",
      "reflect": true
    }
  }; }
  static get states() { return {
    "t": {}
  }; }
  static get elementRef() { return "element"; }
}
